Debian 7.1 on poissa, Debian Wheezyn päivitys

Tervehdys kaikille. Sain juuri tämän uutisen suoraan virallinen Debianin verkkosivusto Kaksi päivää sitten julkaistiin ensimmäinen Debian 7 -päivitys, jonka koodinimi oli "Wheezy", joka sisältää useita paketteja sisältäviä virhekorjauksia, muun muassa NVIDIA-video-ohjaimet Debianin repojen ei-vapaalla kanavalla, X. org-grafiikkapalvelin ja jotkut Libreoffice-paketit, joilla oli ristiriitoja.

Jos haluat päivittää jakeluasi, kirjoita päätelaitteesi juuri apt-get update y apt-saada päivitystä.

Minun tapauksessani päivitys oli tuskin saavuttanut 50 Mt ja se oli melko nopea. Tässä on kuvakaappaus näytön hausta:

debian vinkuva


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

64 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   kike dijo

    Hyvä tietää, kiitos tiedoista!

    1.    eliotime3000 dijo

      Olet tervetullut, kaveri. Lisäksi on hyvä välittää tämäntyyppisiä uutisia, kun on käyttäjiä, jotka eivät kärsi versiotulehduksesta, mutta jotka todella välittävät järjestelmän vakaudesta.

      1.    kike dijo

        Kyllä, koska minun tapauksessani teen "päivitys | päivityksen" hyvin pitkällä aikavälillä, ja kun teen sen normaalisti, mitään tai melkein mitään ei päivitetä, joten minulle on ollut hyvä tietää, milloin päivittää.

        1.    eliotime3000 dijo

          No, olen aina (tai melkein aina) tarkkaavainen uutisille, joita Debian julkaisee sekä blogissaan että uutisosassaan tietoturvasivunsa lisäksi.

          Aion aloittaa oppimisen Archin käytöstä, mutta kun otetaan huomioon sen liikkuvan vapautuminen, sen Achilles-kantapää on sen säännöllinen päivitys, joka ei mene hyvin niiden kanssa, jotka eivät kärsi versiotulehduksesta, kuten minun tapauksessani. Joka tapauksessa olen ollut iloinen hämmentää Slackware-ohjelmaa KDE: n kanssa, jolla on ilmeisesti ystävällisin konsoli, jota olen tähän mennessä käyttänyt (se antaa sinulle sanontoja, vitsejä, vitsejä, ... Mitä muuta voin pyytää tältä suurelta konsolilta, joka on! Slackware?!).

      2.    Wero dijo

        Kopioitu - Debianin järjestelmänvalvojan kirjasta. «Jos haluat kertoa apt-get: lle käyttämään tiettyä jakelua päivitettäessä paketteja, sinun on käytettävä -to –target-release -vaihtoehtoa ja sen jälkeen haluamasi jakelun nimeä (esimerkiksi: apt-get -t vakaa päivitys). »

        apt-get update
        apt-get -t hengityksen päivitys

  2.   Edo dijo

    Annan mielipiteeni sillä riskillä, että joku, joka uskoo omistavansa absoluuttisen totuuden, tulee peittelemään minua. Mielestäni tavallisen käyttäjän käyttämän ytimen ei pitäisi enää käyttää sitä, koska se on hyvin vanha, uudet ytimet ovat paljon nopeampia (käynnistys, sammutus, päivittäinen käyttö jne.) Ja päivitetyt, sen lisäksi että ne ovat riittävän vakaita, I ajattele, että debianin (ytimen 3.2 kanssa, ole varovainen) käyttö kannettavalla tietokoneella on tuhlausta koneen tarjoamalle, koska uudempien ohjelmistojen avulla saat tehokkaamman koneen.
    Toinen asia on pöytäohjain. Uusien versioiden tuomat parannukset eivät ole sellaisia, jotka olisi hyvä uhrata vakauden puolesta (tavallisen ja tavallisen kuolevaisen tietokoneessa työasemassa se on jo erilainen).

    1.    gato dijo

      on, että Debian on keskittynyt työasemiin

      1.    ridri dijo

        Paras työpöydälle ja multimediaan on liquorix-ydin. Olen testannut sitä pitkään debianilla, eikä minulla ole ollut mitään ongelmia. Se lisää työpöydän herkkyyttä erittäin tuntuvalla tavalla. Arkistoa päivitetään 15 päivän välein.

        1.    Edo dijo

          ja perustuuko se ytimeen 3.2?

          1.    ridri dijo

            Se on yleensä viimeinen nykyinen vakaa ydin. Siinä on myös vanhempi kernelisarja, joka perustuu 3.4-sarjaan. Tällä hetkellä se on 3.9.6 Lisätietoja: http://liquorix.net/

        2.    eliotime3000 dijo

          Narttu kiitos!
          Lisää vapaa kanava virallisiin repoihin ja virallisiin debian-takaporteihin ja asenna tarvitsemasi ohjaimet ja omat koodekit. Kaikesta muusta saat sen käynnistyslevyltä, vaikkakin hyvin varovasti.

    2.    Pietari Tšekki dijo

      Katsokaa, en pidä edellistä kommenttiasi pätevänä. Pidä mielessä, että Debian päivittää pakettinsa samalla tavalla kuin RHEL tekee .. Joten ymmärrät minut esimerkiksi Linuxissa RHEL ylläpitää ytimen versiota, johon he Lisää parannuksia myöhempiin versioihin, mutta säilyttää ytimen sama versio. Debian toimii samalla tavalla, mutta siirtää muutokset vain Linux-ytimien LTS-versioihin. Koska tällä hetkellä LTS-ytimen viimeisin versio on 3.4.x-sarja, ei ole järkevää siirtyä koko ytimeen ja vain uutta käytetään lisäämään tukea uusille laitteistoille. Todiste tästä löytyy Debian 7.1 -julkaisutiedostosta, johon 3.4-ytimen ominaisuudet tuotiin.

      Kuulehan:
      http://www.debian.org/News/2013/20130615

      1.    Edo dijo

        mutta siitä huolimatta, että ydin (3.4) on edelleen hyvin vanha, esimerkiksi suorituskyvyn muutos (käytetyssä ubuntu-johdannaisessa) ytimen 3.5 ja ytimen 3.8 välillä oli paljon.
        Minusta on mielenkiintoista, mitä debian tekee, lisäämällä talliin uusia ominaisuuksia, paljon parempia kuin luulin, vaikka minulle se ei riitä, mutta se on työasemalle.

        1.    92 dijo

          Ei edes ..., useimmiten on myös erittäin suuria regressioita.

          1.    eliotime3000 dijo

            Kyllä, mutta ne ovat yleensä lyhyitä. Debianin tietoturvarepot tekevät harvoin tällaisia ​​päivityksiä, ellei helvetin kääntäjä ole tehnyt kokoelmasta tarpeeksi huono tekemään sellaista.

          2.    92 dijo

            lyhyt? Kärsin ongelmasta 3 ytimen Intel hda -äänellä ..., 3.3, 3.4 ja 3.5 ..., jos se on lyhyt XD ....

          3.    eliotime3000 dijo

            @ pandev92:
            Ei aavistustakaan, koska minulla ei ole uusinta prosessoria sisältävää tietokonetta. Minulla on myös HP dc770 -työasema, joka todella tekee ihmeitä minulle.

          4.    92 dijo

            Minulla on hp pavilion dv6 2120es, ja suurin ongelma on, että olin 3 ydintä enkä voinut hiljentää kaiuttimia .., joten ääni tuli ulos sekä kaiuttimien että kuulokkeiden kautta.
            Nyt ostamallani uudella tietokoneella, koska ydin 3.8, en voi aloittaa Intel HD4000: lla.

          5.    eliotime3000 dijo

            @ pandev92:
            Eilen tietokoneeni hiljennettiin Ardorin käytöstä. Onneksi ongelma "ratkaistiin" konsolissa "alsa unload" ja "alsa reload" root-tilassa ja uudelleenkäynnistyksessä.

        2.    kike dijo

          @ pandev92 Se näyttää olevan enemmän ongelma alsan ja pulseaudion kuin ytimen kanssa, sanon sen, koska kun asensin debianin, sama tapahtui minulle, pöytätietokoneelle ääni ei tullut ulos, toistamalla asetuksia alsassa sen lopussa toimi, ja kannettavan tietokoneen kanssa minulla oli ääniongelma kaiuttimilla ja kuulokkeilla samanaikaisesti, pulseaudion asentaminen ja äänihallinta voivat erottaa sen.

          1.    eliotime3000 dijo

            Minun tapauksessani kirjoitin "alsa unload" ja "alsa-reload" päätelaitteeseen, uudelleenkäynnistys ja ääni palasivat (ja minulla on sama Intel-piirisarja, jolla on @ pandev92).

      2.    eliotime3000 dijo

        Siksi olen samaa mieltä kanssasi, Petercheco. Lisäksi viime vuonna Debian on jälleen kerran ollut eniten käytetty palvelinten jakelu ja eniten käytetty käyttöjärjestelmä tämäntyyppisissä koneissa.

    3.    tuxxx dijo

      Tavalliselle käyttäjälle parasta on Debian-testaus, ydin 3.9 on tulossa

      1.    eliotime3000 dijo

        Kyllä hyvin. Et myöskään valittaa riippuvuuksien olevan niin "vanhentuneita".

    4.    eliotime3000 dijo

      Minulla on HP-tietokone, joka on valmistettu erityisesti toimistoille (toisin sanoen työasema), joka on vähän vanha, mutta jolla on itsessään kunnioitettava käsittelynopeus (ilmeisesti sen Intel-piirisarjan vuoksi). Lisäksi olen lisännyt viralliset ja tietoturvareput, jotka Debianilla on, joten muutamalla riippuvuudella tekisin sen valmiiksi asentamaan ja pelaamaan Steamin kanssa.

    5.    nano dijo

      No, tee jotain yksinkertaista, vaihda testaukseen tai SID: ään ja siinä kaikki: 3

      1.    eliotime3000 dijo

        Hyvin sanottu.

    6.    jm dijo

      Juuri ytimen suorituskyky on päinvastainen kuin mainitsette. Versioiden muuttuessa siitä tulee tylsiä (ja Linus itse hyväksyy tämän). Versioiden vaihtaminen ei aina tarkoita parempaa suorituskykyä (loppukäyttäjä osaa valita, optimoida ja kääntää), vaan painotetaan pikemminkin uuden laitteiston, uusien vaihtoehtojen ja tietoturvan tukea unohtamatta jatkaa hyvin vanhojen versioiden (pitkäaikainen) korjaamista ), paljon enemmän kuin debianin käyttämä 3.2.

      1.    elav dijo

        Se, että se on painavampi, ei tarkoita, ettei se paranna suorituskykyä.

        1.    jm dijo

          edo-käyttäjä puhui nopeudesta ja sekoitin sen suorituskykyyn, minun olisi pitänyt käyttää sitä sanaa, anteeksi: P. Suorituskyky (mitä se tuottaa tai on hyödyllistä) on parantunut, mutta haittapuoli on, että nopeus on laskenut 12% sen luomisen jälkeen. Se on luku, jonka jouduin määrittelemään aiemmin ja jonka Linus Torvalds itse hyväksyi, terveisiä!

    7.    unelmoiva dijo

      Tietoja ytimestä 3.2 olet oikeassa. Käytän yleensä vakaata, mutta koska käytän aptosidia (debian sid jarrulla ja stabilointilaitteella!), Huomasin, että ydin 3.9 on ihme ja se vie kolmanneksen ajasta käynnistyksessä, enkä tiedä kuinka paljon enemmän sen sulkemisessa (pois päältä) ) vanhaan 2.4 sempronin ja 400 MHz: n RAM-muistiin. MUTTA !!!
      ... jos laitat debian-backports-repot, voit päivittää ytimen ilmeisesti olemassa olevaan versioon; myös videoajureilla -KATSELE OUT! -
      PS: pelokkaille tai jotka eivät halua ongelmia (mielestäni olen yksi niistä), suosittelen http://www.aptosid.org (Minulla on edelleen Debianin vakaa toisessa osiossa)

  3.   Chaparral dijo

    Mukava näytönhaku, joka näyttää Debian Wheezyn päätelaitteelta. Kuinka asennit sen? Ehkä erityisellä repolla? Käytän Debian Wheezyä, vakaa, vaikka sen sanotaan toimivan yhtä hyvin testauksen kanssa ja asensin eilen mainitsemasi päivityksen. Ytini on 3.2.0-4-amd64 tämän päivityksen jälkeen. Terveiset.

    1.    tmo dijo

      $ wget http://served.kittykatt.us/projects/screenfetch/screenfetch-2.5.0.deb
      $ sudo dpkg -i screenfetch -2.5.0.deb
      $ hakuhaku

      1.    eliotime3000 dijo

        En tiennyt tätä menetelmää. Kiitos panoksestasi.

      2.    Chaparral dijo

        Kiitos avusta TMO, erittäin ystävällinen. Kysyn kuitenkin: Onko olemassa muuta komentoa, jotta "screenfetch" kiinnitetään päätelaitteeseen tarvitsematta muokata "screenfetch" joka kerta niin, että tiedot näkyvät? Kiitos ja terveisin.

        1.    eliotime3000 dijo

          En voinut kertoa siitä sinulle. Voin vain vedota siihen ja se näyttää maagisesti järjestelmän päivitetyt tiedot. Varmasti sen täytyy olla, koska käytän uusinta versiota näytön hausta.

    2.    eliotime3000 dijo

      Asensin näytön haun manuaalisesti ja tämän lyhyen opetusohjelman kautta >> https://blog.desdelinux.net/instalar-screenfetch/

      Se riitti minulle sen lisäksi, että räätälöin gnome-terminal-profiilin, jotta se olisi helpommin luettavissa ja välttäisi ongelmia kirjoittaessasi komentoja.

  4.   Pietari Tšekki dijo

    Tämä päivitys toi erittäin tärkeitä muutoksia.
    Pohjimmiltaan voidaan sanoa, että nyt Debian Wheezy on todella tullut, koska versio 7.0.0 on tullut hieman ennenaikaista käyttäjien painostuksen vuoksi, koska Wheezy tuo uuden ja paremman maailman Debianiin, koska Debian Squeeze pysyi nopeasti vanhana yhdessä pitkä jäätymisjakso ja virheenkorjaus: D. Todiste tästä on se, että Debian ei tuo tätä päivitystä versiolla 7.0.1 vaan 7.1.0.

    Muutosluettelo on täällä:
    http://www.debian.org/News/2013/20130615

    1.    eliotime3000 dijo

      Ja samasta syystä julkaisin tämän uutisen sen lisäksi, että olen ratkaissut ongelman tarkistuksista, jotka eivät toimineet ohjelmistolähteiden ensimmäisessä välilehdessä.

  5.   kannabix dijo

    Kaikille, jotka haluavat nykyisen ja Zen-ytimen, suosittelen lämpimästi:

    http://liquorix.net/

    Minulle on tarkoituksenmukaista, jos kone ei ole palvelin.
    Asennusohjeet ovat samat kuin aina, ja sivulla ne on selitetty hyvin. Kerroit jo kuinka?

    1.    Edo dijo

      ja perustuuko se ytimeen 3.2?

    2.    metsästäjä dijo

      Näitä liquorix-ytimiä ei ole mitään kirjoittaa kotiin, olen nähnyt niitä ja ne eivät optimoi niin paljon, oletusydin ei koskaan ole täysin optimoitu, sinun on pelattava lspci: llä ja poistettava tarpeettomat modit.

    3.    Vau dijo

      Neuvoja jollekin, jolla on vanha kannettava tietokone (Intel Centrino, piirisarja yli 7 vuotta, 1 Gt RAM-muistia) Tarkoitan, sopisiko liquorix minulle todella? vai onko parempi välttää riski?

      1.    metsästäjä dijo

        Opimus kaikesta, mitä voit ... Sain jopa jään.

      2.    eliotime3000 dijo

        Voit asettaa LXDE: n käyttöliittymäksi priorisoimisen lisäksi joillekin ohjainpaketeille, joita ei todellakaan käytetä, joten voit ladata järjestelmän nopeammin. Käytin tietokonetta, jossa oli 1. luokan PC-sirujen emolevy. sukupolven Debian Squeezen kanssa, sen nopeus oli suurempi kuin Windowsilla.

        Joka tapauksessa voit asentaa Debian 7: n, mutta jättämällä järjestelmän apuohjelmat ensisijaiseksi, käyttöliittymäksi (mieluiten XFCE tai LXDE) ja ääneksi, kun olet määrittänyt tiedoston "/etc/apt/sources.list" oikein.

      3.    Petercheco dijo

        Mielestäni paras asia, jonka voit tehdä optimoidaksesi järjestelmän, on kääntää oma ytimesi, jos haluat optimoida sen mahdollisimman paljon. Jätän sinulle oppaan:

        http://www.debian.org/releases/stable/i386/ch08s06.html.en

  6.   st0rmt4il dijo

    Hyvä kuin aina Debianin ihmisille, korjaamalla ongelmat heidän kanssaan tarjotakseen kaiken mahdollisimman vakaana: D!

    Ladataan ..

    1.    eliotime3000 dijo

      On selvää, että koska Debian on kolmen vakaimman distron joukossa (Slackware, Debian, RHEL / CentOS).

  7.   Hämähäkit dijo

    Kyllä, se painoi kuin 140mb. Sitten Grubissa Debian 7.1 tulee ulos

    1.    eliotime3000 dijo

      Minun tapauksessani korvasin oletusarvoisesti saapuneen libreofficen viimeisimmällä virallisella sivulla näkyvällä libreoffice-toimistolla. Itse asiassa libreoffice on se, mikä painaa eniten päivityksiä.

      1.    eliotime3000 dijo

        Ja mielestäni 140 Mt ei ole mitään 560 tai 620 Mt: n kanssa, jonka päivitys painaa kuin Windows 7 Service Pack.

        1.    Hämähäkit dijo

          Se ei ole mitään. Pahempaa on, kun kde-, libreoffice-, netbeans- ja eclipse-päivitykset kootaan archlinuxsiin 1 gt: n päivityksenä, vaikka olen ladannut 30 gigatavun pelejä 😛 joten draamaa ei ole

          1.    eliotime3000 dijo

            Ai niin. Se on todella raskas päivitys. Mutta tietokoneellani, jossa on Debian wheezy, en ole nähnyt tällaista ongelmaa, koska ne päivittävät aina ensin ytimen ja muut arkaluontoiset komponentit. Loput päivitetään myöhemmin erilaisilla parannuksilla ja enemmän kärsivällisyyttä. Debianin kehityskohteet, kuten Eclipse, korjaavat sen aina todella vakavan järjestelmäpäivityksen jälkeen.

          2.    Hämähäkit dijo

            tietenkin ne ovat vain tietoturvapäivityksiä. Petercheco-asennusoppaassa en tiedä onko virhe tai mikä, mutta kun lisäät ei-vapaat repot, se lisää ne myös deb-src -riveille, oletettavasti ei ole lähdettä ei-vapaista ohjelmistoista ja rivi on lähteet: p Se voi olla niin ?.

          3.    eliotime3000 dijo

            @Striders:
            Kyllä, voi olla, että varotoimenpiteenä poistat deb-src: n välttääksesi tilaan liittyviä ongelmia. Poistan deb-src: n käytöstä aina tällaisten virheiden välttämiseksi.

          4.    Petercheco dijo

            Hei Strider,
            Oppaaseni sisältämien Debian-repojen ei-vapaiden arkistojen osalta tietysti repoissa on src-paketteja, joten se on kelvollinen.

            Jätän sinulle näytteen:
            http://ftp.debian.org/debian/dists/stable/non-free/
            http://ftp.debian.org/debian/dists/stable/non-free/source/

            Samoin on repoissa http://security.debian.org/ muuten tapahtuisi virhe suoritettaessa apt-get-päivitysvaroitus tästä virheestä 😀

          5.    Petercheco dijo

            Mitä tulee tilaan, joka voi syntyä aktivoimalla src eliotime3000, ei ole mitään, mitä ei ole korjattu apt-get autoremove- ja apt-get autoclean -toiminnoilla: D. Still apt huolehtii tiedostojen puhdistamisesta paketin asentamisen jälkeen :).

          6.    Hämähäkit dijo

            Kiitos Peter selityksestä.

          7.    eliotime3000 dijo

            @petercheco:
            Käytän jo apt-get autoclean- ja apt-get-automaattista poistoa, ja ne ovat todella auttaneet minua paljon paitsi säästäneet ihoni, kun haluan päästä eroon tällaisista vanhoista riippuvuuksista.

  8.   Dante Mdz. dijo

    Juuri tällä hetkellä aion päivittää järjestelmääni.

  9.   xarlieb dijo

    mielenkiintoista on se, että se ei ole debian 7.0.1 vaan debian 7.1.

    1.    eliotime3000 dijo

      Kuten @petercheco sanoi, syy 7.1 nimettiin 7.0.1: n sijasta johtuen siitä, että versio 7.0 (minulle RTM) oli tullut liian aikaisin ja koska sen oli korjattava useita tärkeitä vikoja (5. toukokuuta julkaistu versio oli luultavasti puhdas hype) .

      1.    Petercheco dijo

        Todellakin 😀

  10.   meme007 dijo

    Hyviä uutisia…